---
title: HTMLParamElement
slug: Web/API/HTMLParamElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
---
<div>
<div>{{ APIRef("HTML DOM") }}</div>
</div>

<p>The <strong><code>HTMLParamElement</code></strong> interface provides special properties (beyond those of the regular {{domxref("HTMLElement")}} object interface it inherits) for manipulating {{HTMLElement("param")}} elements, representing a pair of a key and a value that acts as a parameter for an {{HTMLElement("object")}} element.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<dl>
 <dt>{{domxref("HTMLParamElement.name")}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing the name of the parameter. It reflects the {{htmlattrxref("name", "param")}} attribute.</dd>
 <dt>{{domxref("HTMLParamElement.value")}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing the value associated to the parameter. It reflects the {{htmlattrxref("value", "param")}} attribute.</dd>
 <dt>{{domxref("HTMLParamElement.type")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the type of the parameter when <code>valueType</code> has the <code>"ref"</code> value. It reflects the {{htmlattrxref("type", "param")}} attribute.</dd>
 <dt>{{domxref("HTMLParamElement.valueType")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the type of the <code>value</code>. It reflects the {{htmlattrxref("<code>valuetype</code>", "param")}} attribute and has one of the values: <code>"data"</code>, <code>"ref"</code>, or <code>"object"</code>.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific methods, inherits methods from its parent, {{domxref("HTMLElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#htmlparamelement", "HTMLParamElement")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#the-param-element", "HTMLParamElement")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>The following properties are now obsolete: <code>type</code>, and <code>valueType</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-64077273', 'HTMLParamElement')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName("DOM1")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-64077273', 'HTMLParamElement')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLParamElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML element implementing this interface: {{ HTMLElement("param") }}.</li>
</ul>
